/*
 * Photo Image Print System
 * Copyright (C) SEIKO EPSON CORPORATION 2000-2004.
 *
 *  This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * As a special exception, EPSON KOWA Corporation gives permission to
 * link the code of this program with libraries which are covered by
 * the EPSON KOWA PUBLIC LICENCE and distribute their linked
 * combinations.  You must obey the GNU General Public License in all
 * respects for all of the code used other than the libraries which
 * are covered by EPSON KOWA PUBLIC LICENCE.
 */
#ifndef __OPT_RSC__
#define __OPT_RSC__

#include "pipsDef.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */
  
  /* Option Entry */
  char *inkEntry[] = {
    "COLOR",    "MONO",
    NULL
  };
  
  char *mediaSizeEntry[] = {
    "A4",    "A5",    "A6",    "A3",    "B5",    "B4",
    "PC",    "DPC",   "PHOTO", "ENVC3", "ENVC4", "ENVY1",
    "ENVY2", "ENVY3", "ENVY4", "LT",    "LGL",
    NULL
  };


  char *resolutionEntry[] = {
    "180", "360", "720",
    NULL
  };

  char *mediaTypeEntry[] = {
    "PLAIN", "SFINE", "GPAPER",
    "GFILM", "OHP", "IRON",
    NULL
  };

  char *colorModeEntry[] = {
    "PHOTO", "GRAPH", "NONE",
    NULL
  };

  char *halftoneEntry[] = {
    "ED", "DB",
    NULL
  };

  char *levelEntry[] = {
    "DRAFT", "STD", "FINE", "PHOTO",
    NULL
  };

  /*
    pModeCol            :       ColorѰ⡼
    pModeMono   :       MonochromeѰ⡼
    
    MediaNumber :       pipsDef.h 
    Inmput              :       1:180, 2:360, 4:720
    Halftone            :       <or> 1:ED 2:DB
    HighSpeed   :       0:OFF 1:ON 2:ON/OFF
    */
  short pModeCol[] = {
    14,
    /* mediaName        MediaNumber     Halftone */
    /*                          Input           HighSpeed */
    /*PLAIN*/           0,      1,      1,      1,      0x000,
                        0,      2,      3,      1,      0x010,
                        0,      2,      3,      2,      0x020,
                        0,      6,      1,      2,      0x440,

    /*COATED720*/       2,      6,      3,      2,      0x110,
                        2,      6,      1,      0,      0x220,
                        2,      4,      1,      0,      0x400,

    /*GLOSSYPAPER*/     5,      6,      3,      2,      0x110,
                        5,      6,      1,      0,      0x220,
                        5,      4,      1,      0,      0x400,

    /*GLOSSYFILM*/      4,      6,      1,      0,      0x220,
                        4,      4,      1,      0,      0x400,

    /*TRANSPARENCY*/    3,      2,      1,      0,      0x010,

    /*IRON_PRINT*/      14,     2,      3,      0,      0x010
  };
  
  short pModeMono[] = {
    14,
    /* mediaName        MediaNumber     Halftone */
    /*                          Input           HighSpeed */
    /*PLAIN*/           0,      1,      1,      1,      0x000,
                        0,      2,      1,      1,      0x010,
                        0,      2,      1,      2,      0x020,
                        0,      6,      1,      2,      0x440,

    /*COATED720*/       2,      6,      1,      2,      0x110,
                        2,      6,      1,      0,      0x220,
                        2,      4,      1,      0,      0x400,

    /*GLOSSYPAPER*/     5,      6,      1,      2,      0x110,
                        5,      6,      1,      0,      0x220,
                        5,      4,      1,      0,      0x400,

    /*GLOSSYFILM*/      4,      6,      1,      0,      0x220,
                        4,      4,      1,      0,      0x400,

    /*TRANSPARENCY*/    3,      2,      1,      0,      0x010,

    /*IRON_PRINT*/      14,     2,      1,      0,      0x010
  };

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __OPT_RSC__ */


